/********************************************************************************
*   Jouet pour chat avec un laser et deux servo-moteurs qui élèvent et azimutent*
*un pointeur laser de très faible puissance (p<1mW). L'amplitude des mouvements *
*à régler en fonction de la position du jouet. Mes valeurs sont pour un meuble  *
* de 1 mètre environ . https://www.amazing-vacuum-tubes.com/                    *
********************************************************************************/

#include <SoftwareServo.h>
SoftwareServo myservo,myservo1; // crée l'ident des servos


int pos = 0;    // variable de position
int pos1 = 0;   // variable de position
int t = 0;  // // variable de temps d'arret


void setup() {
  pinMode(2, OUTPUT);  // Pin 2 en sortie
  myservo.attach(0);  // défini où est raccordé le servo1 sur la pin 0 (PW1)
  myservo1.attach(1);  // défini où est raccordé le servo1 sur la pin 1 (PW2)
}

void loop() {
  digitalWrite(2, HIGH); // Allume le laser
  pos = random(93,157);  // Choisi une position aléatoire pour le servo1 comprise entre 10 et 140 sur 255
  pos1 = random(80,130);  // Choisi une position aléatoire pour le servo2 comprise entre 20 et 180 sur 255
  t = random(1,15);        // Choisi de 100 à 1500 ms de temps de pause

for (int x = 0; x < 8; x++) {
    myservo.write(pos);              // Dit au servo1 de se rendre en position
    delay(20);
    SoftwareServo::refresh();     // Attend 15ms que le servo atteigne la position
  }

delay(t*100);

  for (int x = 0; x < 8; x++) {
    myservo1.write(pos1);        // Dit au servo2 de se rendre en position
    delay(20);
    SoftwareServo::refresh();   // Attend 15ms que le servo atteigne la position  
  }
  
delay(t*100);
  //digitalWrite(2, LOW);   // Eteind le laser auatnt de fois que calculé
    //delay(t*100);
}



